> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.doctorassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send audio chunk

> Sends an audio chunk from the consultation. Chunks must be sent in sequential order using the chunkIndex parameter.



## OpenAPI

````yaml docs/en/openapi.yaml post /consultations/v2/{DAAI_CONSULTATION_ID}/recordings/{DAAI_RECORDING_ID}/chunks
openapi: 3.1.0
info:
  title: DAAI - APIS
  version: 1.0.0
servers:
  - url: https://apim.doctorassistant.ai/api/sandbox
security:
  - ApiKeyAuth: []
tags:
  - name: Consultations
  - name: Exams
  - name: Summaries
paths:
  /consultations/v2/{DAAI_CONSULTATION_ID}/recordings/{DAAI_RECORDING_ID}/chunks:
    post:
      tags:
        - Consultations
      summary: Send audio chunk
      description: >-
        Sends an audio chunk from the consultation. Chunks must be sent in
        sequential order using the chunkIndex parameter.
      parameters:
        - name: DAAI_CONSULTATION_ID
          in: path
          schema:
            type: string
          required: true
        - name: DAAI_RECORDING_ID
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                recording:
                  type: string
                  format: binary
                duration:
                  type: integer
                  example: '270'
                chunkIndex:
                  type: integer
                  example: '0'
      responses:
        '201':
          description: Chunk sent successfully
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                    example: Recording is required
                  error:
                    type: string
                    description: Error type
                    example: Bad Request
                  statusCode:
                    type: integer
                    description: HTTP status code
                    example: 400
                required:
                  - message
                  - error
                  - statusCode
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
                  statusCode:
                    type: integer
                    example: 401
                required:
                  - message
                  - statusCode
        '404':
          description: Consultation not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                    example: Consultation not found
                  error:
                    type: string
                    description: Error type
                    example: Not Found
                  statusCode:
                    type: integer
                    description: HTTP status code
                    example: 404
                required:
                  - message
                  - error
                  - statusCode
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-daai-api-key
      description: API key for authentication

````